Displaying 8 results from an estimated 8 matches for "prompt_us".
Did you mean:
promptous
2011 Jul 21
0
[PATCH] add netconsole autoinstall parameter
...scripts/ovirt-early | 6 +++++-
2 files changed, 16 insertions(+), 1 deletions(-)
diff --git a/scripts/ovirt-config-logging b/scripts/ovirt-config-logging
index 233df67..e296ac4 100755
--- a/scripts/ovirt-config-logging
+++ b/scripts/ovirt-config-logging
@@ -174,6 +174,13 @@ function prompt_user {
done
}
+function ovirt_netconsole {
+ augtool <<EOF
+set /files/etc/sysconfig/netconsole/SYSLOGADDR $OVIRT_NETCONSOLE_SERVER
+set /files/etc/sysconfig/netconsole/SYSLOGPORT $OVIRT_NETCONSOLE_PORT
+EOF
+ ovirt_store_config /etc/sysconfig/netconsole
+}
# AUTO for auto-install...
2009 May 28
2
[PATCH node] correctly use collectd udp dns entry
..._PORT" ]; then
collectd_conf=/etc/collectd.conf
if [ -f $collectd_conf.in ]; then
diff --git a/scripts/ovirt-config-collectd b/scripts/ovirt-config-collectd
index e509e54..236ddaa 100755
--- a/scripts/ovirt-config-collectd
+++ b/scripts/ovirt-config-collectd
@@ -92,7 +92,7 @@ prompt_user() {
if [ "$1" = "AUTO" ]; then
if [ -z "$OVIRT_COLLECTD_SERVER" -o -z "$OVIRT_COLLECTD_PORT" ]; then
printf "\nAttempting to locate remote collectd server..."
- find_srv collectd tcp
+ find_srv collectd udp
if...
2009 Jun 04
1
[PATCH node] Hostname is now properly persisted between reboots. rhbz#504166
...0 ]; then
- /bin/hostname "$1"
- rc=$?
+ /bin/hostname "$1"
+ rc=$?
+ if [ $rc -eq 0 ]; then /usr/sbin/persist $HOSTNAME_FILE; fi
fi
stop_log
return $rc
@@ -82,4 +90,3 @@ else
printf "\n\n Hostname Configuration\n\n"
prompt_user
fi
-
diff --git a/scripts/ovirt-functions b/scripts/ovirt-functions
index 5997a4c..e938256 100755
--- a/scripts/ovirt-functions
+++ b/scripts/ovirt-functions
@@ -78,6 +78,16 @@ is_standalone() {
if is_managed; then return 1; else return 0; fi
}
+# return 0 if local storage is configured...
2009 Jun 30
2
[PATCH node] Make all yes/no prompts consistent. rhbz#508778
...then
+ else
printf "\nExiting back to the menu\n"
rc=99
break
diff --git a/scripts/ovirt-config-collectd b/scripts/ovirt-config-collectd
index 236ddaa..11811fd 100755
--- a/scripts/ovirt-config-collectd
+++ b/scripts/ovirt-config-collectd
@@ -67,23 +67,28 @@ prompt_user() {
printf "\n"
printf "\n"
while true; do
- read -p "Is this correct (Y/N/A)? "
- r=$(echo $REPLY|tr '[[:lower:]]' '[[:upper:]]')
- if [ "$r" == "Y" ]; then
-...
2009 Oct 23
1
[PATCH node] Add iSCSI initiator setup option
...13 15
+
+warn() { printf '%s\n' "$*" >&2; }
+
+if ! is_local_storage_configured; then
+ warn "Local storage must be configured prior to setting the iSCSI Initiator Name."
+ exit 99
+fi
+
+INITIATOR_FILE="/etc/iscsi/initiatorname.iscsi"
+
+function prompt_user {
+ printf "\n"
+ printf "Enter iSCSI Initiator Name (If blank one will be automatically generated)\n"
+ printf "Enter Q to quit\n"
+ read REPLY
+ if [[ $REPLY == "q" || $REPLY == "Q" ]]; then
+ printf "Aborting due to u...
2009 Jun 05
1
Patch with modified commit message
This patch is from Chris Curran. I've only modified the commit message
to add clarity.
2009 Jun 12
1
[PATCH node] o-c-config will only run when local storage is configured. rhbz#505560
...ntf "Local storage must be configured prior to configuring the logging system.\n"
+ exit 99
+fi
+
RSYSLOG_FILE="/etc/rsyslog.conf"
# Creates the rsyslog file based on the following inputs
@@ -185,4 +190,3 @@ else
printf "\n\n Logging Configuration\n\n"
prompt_user
fi
-
--
1.6.0.6